SAS® 9.2 (TS2M3) Support for Java Runtime Environments

Java Runtime Environments for SAS Foundation and SAS Client Applications

SAS 9.2 Foundation and some SAS 9.2 client applications require the use of a Java Runtime Environment (JRE). These JREs are provided by Oracle, IBM and HP. Below are the versions of the JRE that are recommended for use with SAS 9.2 (TS2M3) and that will be installed by SAS® Deployment Wizard, depending on the platform where the installation is occurring. The JRE can also be obtained directly from the vendors listed.

Please read the following instructions if an alternative JRE or JDK is intended for use after SAS 9.2 has been installed and configured.

Application servers and servlet engines require a full Java Software Development Kit (JDK). See the list of Java Development Kits required by supported application servers.

  • HP-UX PA-RISC: version 5.0.08: HP | version 6.0.02: HP
  • HP-UX Itanium: version 5.0.08: HP | version 6.0.02: HP
  • OpenVMS Itanium: version 5.0-2: HP | version 6.0-1: HP
  • Linux 32-bit on x86: version Java 5 Update 14: Oracle | version Java 6 Update 14: Oracle
  • Linux 64-bit x86-64: version Java 5 Update 14: Oracle | version Java 6 Update 14: Oracle
    The supported JRE is 32-bit. Be sure to select a whose name includes "linux-i586". The 64-bit JREs are not supported.
  • z/OS: version Java 5 31-bit SDK: IBM | version Java 6 31-bit SDK: IBM
    Cannot be redistributed due to licensing restrictions. The 31-bit Java 6 SDK is required.
  • AIX: version Java 5 SR5, 5.0.0.125 fileset, pap32dev-20070511: IBM | version Java 6 SR3, 6.0.0.75 fileset, pap3260sr3-20081106_07: IBM
    The 32-bit JRE is required. Please see the IBM Developer Kit FAQ for further details.
  • Solaris 64-bit on SPARC: version Java 5 Update 12: Oracle | version Java 6 Update 14: Oracle
    The supported JRE is 32-bit. Be sure to select the whose name includes "solaris-sparc.sh". The whose name includes "sparcv9" is a 64-bit JRE and is not supported.
  • Solaris 64-bit on x86-64: version Java 5 Update 12: Oracle | version Java 6 Update 14: Oracle
    The supported JRE is 32-bit. Be sure to select a whose name includes "solaris-i586". The 64-bit JRE is not supported.
  • Windows 32-bit on x86: version Java 5 Update 12: Oracle | version Java 6 Update 14: Oracle
    Java 5 is not supported on Windows 7 and Windows Server 2008 R2. Do not select the "Use the recommended Java Runtime Environment" option in SAS Deployment Wizard. You must install Java 6 as listed below.
  • Windows 64-bit on Itanium: version 1.5.0_08 (5.0 R27.1) Contact Oracle | version Java 6 Update 12: Oracle
    Java 5 is not supported on Windows 7 and Windows Server 2008 R2. Do not select the "Use the recommended Java Runtime Environment" option in SAS Deployment Wizard. You must install Java 6 as listed below.
  • Windows 64-bit on x86-64: version Java 5 Update 12: Oracle | version Java 6 Update 14: Oracle
    The supported JRE is 32-bit. Be sure to select a whose name includes "windows-i586". The 64-bit JRE is not supported. Java 5 is not supported on Windows 7 and Windows Server 2008 R2. Do not select the "Use the recommended Java Runtime Environment" option in SAS Deployment Wizard. You must install Java 6.
  • Windows Server 2008 R2: version Java 6 Update 23: Oracle
    The supported JRE is 32-bit. Be sure to select a whose name includes "windows-i586". The 64-bit JRE is not supported.

Recommended Resources


Explore our training options, including on-site classroom, live web, e-learning and one-on-one mentoring.


Validate your SAS knowledge and skills by earning a globally recognized credential from SAS.


Explore documentation on topics of interest to SAS administrators.
 

Back to Top